Gets the ArrayIterator

- « AppendIterator::current

- AppendIterator::getIteratorIndex »

- PHP Manual
- AppendIterator
- Gets the ArrayIterator

# AppendIterator::getArrayIterator

(PHP 5 >= 5.2.0, PHP 7, PHP 8)

AppendIterator::getArrayIterator — Gets the ArrayIterator

### Description

public AppendIterator::getArrayIterator(): ArrayIterator

This method gets the ArrayIterator that is used to store the iterators added with AppendIterator::append().

### Parameters

This function has no parameters.

### Return Values

Returns an ArrayIterator containing the appended iterators.

### See Also

- AppendIterator::getInnerIterator()